Subject: Re: bug#23103: A number of corrupt packages on Hydra?

From: Pjotr Prins <[email-masked]>
Date: Thu, 24 Mar 2016 14:25:59 +0100

I am also seeing such corruption on my substitutes server. Is there a way
we can validate files in a running cache so they can be rebuild? Would
be useful for the mirror.guixsd.org too.

I am glad they get picked up (even so) and that we have the --fallback
option :)

Pj.

On Wed, Mar 23, 2016 at 04:48:50PM -0700, Christopher Allan Webber wrote:
> For at least boost and hydra I'm getting errors like the following:
> 
>   From http://hydra.gnunet.org/nar/jaf2s3paa3fswfpzi6amlqjxd3fwiw9x-ruby-2.3.0
>   Downloading jaf2s3...-ruby-2.3.0 (41.9MiB installed)...
>    http://hydra.gnunet.org/nar/jaf2s3paa3fswfpzi6amlqjxd3fwiw9x-ruby-2.3.0 2.0MiB/s 00:02 | 3.4MiB transferredd
>   bzip2: Compressed file ends unexpectedly;
>   	perhaps it is corrupted?  *Possible* reason follows.
>   bzip2: Inappropriate ioctl for device
>   	Input file = (stdin), output file = (stdout)
>   
>   It is possible that the compressed file(s) have become corrupted.
>   You can use the -tvv option to test integrity of such files.
>   
>   You can use the `bzip2recover' program to attempt to recover
>   data from undamaged sections of corrupted files.
>   
>   guix substitute: error: corrupt input while restoring '/gnu/store/jaf2s3paa3fswfpzi6amlqjxd3fwiw9x-ruby-2.3.0/lib/ruby/2.3.0/rdoc/generator/template/darkfish/fonts/SourceCodePro-Regular.ttf' from #{read pipe}#
>   killing process 8510
>   guix package: error: build failed: some substitutes for the outputs of derivation `/gnu/store/l7ffwqbkrvd4vk3h51p597psyl44gv67-ruby-2.3.0.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source
> 
> 
> 

--